<!DOCTYPE html>
<!--
	 ______   ______     ______     ______     _____     ______     __  __     __     ______
	/\  == \ /\  __ \   /\  == \   /\  __ \   /\  __-.  /\  __ \   /\_\_\_\   /\ \   /\  ___\
	\ \  _-/ \ \  __ \  \ \  __<   \ \  __ \  \ \ \/\ \ \ \ \/\ \  \/_/\_\/_  \ \ \  \ \___  \
	 \ \_\    \ \_\ \_\  \ \_\ \_\  \ \_\ \_\  \ \____-  \ \_____\   /\_\/\_\  \ \_\  \/\_____\
	  \/_/     \/_/\/_/   \/_/ /_/   \/_/\/_/   \/____/   \/_____/   \/_/\/_/   \/_/   \/_____/

	Copyright © 2014 - 2017 Paradoxis
	All rights reserved

    Paradoxis <luke@paradoxis.nl> | Frontend developer, backend developer, website & database administrator
    Alagaros <awatertrevi@gmail.com> | Unit testing, support, brainstorming
    Ramiresz <info@ramiresz.com> | Logo design

-->
<html lang="en">
<head>
<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
<link rel="shortcut icon" type="favicon/ico" href="/favicon.ico"/>
<meta name="author" content="Paradoxis"/>
<meta name="contact" content="luke@paradoxis.nl"/>
<meta name="language" content="English"/>
<meta name="dcterms.rightsHolder" content="Paradoxis"/>
<meta name="dcterms.rights" content="All Rights Reserved."/>
<meta name="dcterms.dateCopyrighted" content="2017"/>
<link rel="sitemap" type="application/xml" title="Sitemap" href="/sitemap.xml"/>
<meta name="description" content="Luke Paris (Paradoxis) - DevOPS Engineer, Security Enthusiast and soon-to-be Pentester."/>
<meta name="keywords" content="Luke Paris, Paradoxis, PHP, PHP Rootkit, Python, TypeScript, C#, C# Facebook Ads SDK"/>
<meta name="revisit-after" content="1 days"/>
<meta name="robots" content="index, follow"/>
<meta property="og:type" content="website"/>
<meta name="google-site-verification" content="vGZ4LMCA8Mu7egf-kqi9-Ti0qd0r-0tvj3bAV1_XqTw"/>
<script async defer src="https://apis.google.com/js/platform.js?publisherid=108951863845960651850"></script>
<link href="//fonts.googleapis.com/css?family=Raleway:200,300" rel="stylesheet" type="text/css"/>
<link rel="stylesheet" href="/A.share,,_plugins,,_bootstrap,,_css,,_bootstrap.min.css+share,,_plugins,,_font-awesome,,_css,,_font-awesome.min.css+share,,_plugins,,_devicon,,_devicon.min.css+assets,,_css,,_global.css+assets,,_css,,_index.css,Mcc.x3fB8UWCzE.css.pagespeed.cf.30zCD0vhso.css"/>
<title>Paradoxis</title>
</head>
<body>
<noscript>
<iframe src="//www.googletagmanager.com/ns.html?id=GTM-MTMRXR" height="0" width="0" style="display:none;visibility:hidden">
</iframe>
</noscript>
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src='//www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);})(window,document,'script','dataLayer','GTM-MTMRXR');</script>
<header id="header" class="active">
<a href="/" title="Paradoxis home" class="logo">
<img src="/share/assets/images/paradoxis/logo/svg/icon_blue.svg" alt="Paradoxis logo"/>
<img src="/share/assets/images/paradoxis/logo/svg/text_black.svg" alt="Paradoxis logo title black" class="black"/>
<img src="/share/assets/images/paradoxis/logo/svg/text_white.svg" alt="Paradoxis logo title white" class="white"/>
</a>
<a class="hamburger" href="#navigation">
<span></span>
</a>
<nav id="navigation">
<a href="#header" class="underlay"></a>
<ul>
<li>
<a href="#home" title="Home">Home</a>
</li>
<li>
<a href="#about" title="About">About</a>
</li>
<li>
<a href="#projects" title="Projects">Projects</a>
</li>
<li>
<a href="#skills" title="Skills">Skills</a>
</li>
<li>
<a href="#github" title="GitHub">GitHub</a>
</li>
<li>
<a href="#contact" title="Contact">Contact</a>
</li>
<li>
<hr/>
</li>
<li>
<a href="https://blog.paradoxis.nl/" title="Blog">Blog</a>
</li>
</ul>
<div>
<p>Navigation</p>
<a href="#header" class="hamburger-close">&times;</a>
</div>
</nav>
</header>
<main>
<section id="home" class="vertical">
<div class="parallax" data-stellar-ratio="0.5"></div>
<div class="vertical">
<div class="container">
<div class="col-xs-12 text-center">
<img src="/share/assets/images/paradoxis/logo/svg/text_white.svg" alt="Paradoxis title"/>
<h1>Paradoxis</h1>
</div>
</div>
</div>
</section>
<section id="about">
<div class="container">
<div class="col-xs-12">
<h2>About</h2>
</div>
<div class="col-xs-12 col-sm-8 col-sm-offset-2">
<p>
My name is <a href="https://www.linkedin.com/in/paradoxis" title="Luke Paris (Paradoxis) - LinkedIn">Luke Paris</a>
I'm a Dutch software engineer working in the cyber security field. In my spare time I write software to aid other developers or to make things easier for myself,
I also regularly participate in hackathons to boost my creativity and share ideas with other people.<br/>
<br/>
I'm currently gearing towards becoming an all-round penetration tester,
as my strengths include the ability to quickly identify and patch security holes which other developers might have missed.
</p>
</div>
</div>
</section>
<section id="projects">
<div class="parallax"></div>
<div class="container">
<div class="row">
<div class="col-xs-12">
<h2>Projects</h2>
</div>
</div>
<div class="row">
<div class="col-xs-12 col-sm-6 col-sm-offset-3 text-center">
<p>
If you wish to see the projects I've made, you can click down below for a preview of all the major projects which I have released for free.
Any source code that I have released will also become available on my <a title="Github" href="https://www.github.com/Paradoxis">Github</a>.<br/>
<br/>
If however you wish to see source code of a certain project which I haven't released publicly, please send me a message via the
<a title="Contact" href="#contact">contact</a> form down below with a reason why you wish to have a copy.
</p>
</div>
</div>
<div class="row">
<div class="col-xs-12 col-sm-4 col-sm-offset-4 text-center">
<a href="/projects" class="btn btn-paradoxis btn-block" title="Projects">
View projects
</a>
</div>
</div>
</div>
</section>
<section id="skills">
<div class="container text-center">
<div class="col-xs-12">
<h2>Skills</h2>
</div>
<div class="col-xs-12 col-sm-8 col-sm-offset-2">
<p>
As a developer, I try to learn as many programming languages as I possibly can to expand my knowledge base. I have a thorough understanding of Python, JavaScript and PHP. In addition to that I also have a good understanding of C, C#, Java and know the basics of Assembly and C++.<br/>
<br/>
In my spare time, I like to experiment by writing new and challenging code. I also try to expand my knowledge about security by performing penetration tests inside a controlled environment on my local network. This helps me understand how external attackers operate and how I can prevent my own software from being compromised.
</p>
</div>
<div class="col-xs-12" id="skill-icons">
<div class="col-sm-4 col-md-5 hidden-xs">
<div class="col-xs-4 col-sm-12 col-md-4">
<i class="devicon-cplusplus-plain colored"></i>
</div>
<div class="col-xs-4 hidden-sm">
<i class="devicon-csharp-plain colored"></i>
</div>
<div class="col-xs-4 hidden-sm">
<i class="devicon-nodejs-plain colored"></i>
</div>
</div>
<div class="col-xs-12 col-sm-3 col-md-2">
<i class="devicon-php-plain colored big"></i>
</div>
<div class="col-sm-4 col-md-5 hidden-xs">
<div class="col-xs-4 col-sm-12 col-md-4">
<i class="devicon-android-plain colored"></i>
</div>
<div class="col-xs-4 hidden-sm">
<i class="devicon-mysql-plain colored"></i>
</div>
<div class="col-xs-4 hidden-sm">
<i class="devicon-debian-plain colored"></i>
</div>
</div>
</div>
</div>
</section>
<section id="github">
<div class="parallax" id="particles-js"></div>
<div class="container">
<div class="col-xs-12">
<h2>Github</h2>
</div>
<div class="col-xs-8 col-xs-offset-2 col-sm-4 col-sm-offset-4 col-md-2 col-md-offset-5">
<a href="https://www.github.com/Paradoxis">
<img src="/assets/images/index/github.svg" alt="Github"/>
</a>
</div>
</div>
</section>
<section id="contact">
<div class="container">
<div class="col-xs-12">
<h2>Contact</h2>
</div>
<form action="/contact" method="post">
<div class="col-xs-12 col-sm-10 col-sm-offset-1">
<div class="col-xs-12">
</div>
<div class="col-xs-12 col-sm-6">
<input type="text" id="name" name="name" required placeholder="Name"/> <input type="email" id="email" name="email" required placeholder="Email address"/> <input type="text" id="subject" name="subject" placeholder="Subject" required /> <input type="text" id="company" name="company" placeholder="Company (optional)"/> </div>
<div class="col-xs-12 col-sm-6">
<textarea id="message" name="message" placeholder="Message" required></textarea> </div>
<div class="col-xs-12 col-sm-6">
<input type="number" id="anti-spam-question" name="anti-spam-question" value="" required placeholder="How many legs does a cow have?" step="1"/> </div>
<div class="col-xs-12">
<button type="submit">Send!</button>
<div class="hidden">
<label for="anti-spam">Don't fill in this field: </label>
<input type="number" id="anti-spam" name="anti-spam" value=""/> <input type="hidden" id="xjbfASttdjhFN3sSmrJ5vg" name="xjbfASttdjhFN3sSmrJ5vg" value="UdlcM2zYbfHxZXXEBDHw"/> </div>
</div>
</div>
</form>
</div>
</section>
<footer>
<div class="container">
<div class="col-xs-12">
<p>Copyright &copy; 2014 - 2017 | Paradoxis</p>
</div>
<div class="col-xs-12 col-sm-10 col-sm-offset-0">
<nav>
<ul>
<li><a title="Luke Paris (Paradoxis) - Github" href="https://www.github.com/Paradoxis">GitHub</a></li>
<li><a title="Luke Paris (Paradoxis) - LinkedIn" href="https://www.linkedin.com/in/paradoxis">LinkedIn</a></li>
<li><a title="Luke Paris (Paradoxis) - Youtube" href="https://www.youtube.com/channel/UCZx5P6_vpXaYoTM-o9OV3gQ/feed?ab_channel=Paradoxis">YouTube</a></li>
<li><a title="Luke Paris (Paradoxis) - Stackoverflow" href="https://stackoverflow.com/users/3014890/paradoxis">Stack Overflow</a></li>
</ul>
<ul>
<li><a title="Projects overview" href="/projects">Projects</a></li>
<li><a title="Project - SIEK Communicatie" href="/projects/siek-communicatie">SIEK Communicatie</a></li>
<li><a title="Project - Reverse Shell Client" href="/projects/reverse-shell-client">Reverse Shell Client</a></li>
<li><a title="Project - Facebook C# Ads SDK" href="/projects/facebook-csharp-ads-sdk">Facebook C# Ads SDK</a></li>
</ul>
<ul>
<li><a title="Cryptography public keys" href="/public-keys">Cryptography public keys</a></li>
<li><a title="PGP public key" href="/public-keys/pgp">PGP public key</a></li>
<li><a title="SSH public key" href="/public-keys/ssh">SSH public key</a></li>
</ul>
</nav>
</div>
<div class="col-xs-12 col-sm-2">
<div id="paradoxis">
<a href="https://www.paradoxis.nl/" title="Website developer - Luke Paris (Paradoxis)">
<div id="paradoxis-white"></div>
<div id="paradoxis-blue"></div>
<span>Paradoxis</span>
</a>
</div>
</div>
</div>
</footer>
</main>
<script src="/share,_plugins,_jquery,_jquery.js+share,_plugins,_jquery,_jquery.stellar.js+share,_plugins,_jquery,_jquery.waypoints.js+share,_plugins,_particles,_particles.js+assets,_js,_index.js.pagespeed.jc.jvWNPVHwKQ.js"></script><script>eval(mod_pagespeed_LelnOHqRN7);</script>
<script>eval(mod_pagespeed_d4GAMe9vq7);</script>
<script>eval(mod_pagespeed_P9HfyXvqa7);</script>
<script>eval(mod_pagespeed_p3r8uQtuwp);</script>
<script>eval(mod_pagespeed_Mnt0deISjP);</script>
<script>window.isMobile=function(){try{return(!!((/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|ipad|iris|kindle|Android|Silk|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(navigator.userAgent))||(/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(navigator.userAgent.substr(0,4)))));}catch(e){return false;}};if(isMobile()===false){$.stellar({hideDistantElements:false});}</script>
</body>
</html>
